package com.mortals.xhx.modules.information.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Information
* date: 2021-8-2 15:06:55
*/
public class InformationEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627888015325L;


    /**
    * 实施清单名称
    */
    private String eventName;

    /**
    * 实施清单编码
    */
    private String eventCode;

    /**
    * 申请人属性,1：法人 2：自然人
    */
    private Integer applicantAttributes;

    /**
    * 申请人证件类型
    */
    private String applicantCardType;

    /**
    * 申请人姓名
    */
    private String applicantName;

    /**
    * 申请人证件号码
    */
    private String applicantCardNumbe;

    /**
    * 申请人手机号码
    */
    private String applicantPhoneNumber;

    /**
    * 申请人性别
    */
    private String applicantSex;

    /**
    * 机构名称
    */
    private String organizationName;

    /**
    * 机构地址
    */
    private String organizationAddress;

    /**
    * 机构性质
    */
    private String organizationStructure;

    /**
    * 机构证件类型
    */
    private String organizationCardType;

    /**
    * 机构证件编码
    */
    private String organizationCardNumber;

    /**
    * 机构代表人姓名,法人姓名
    */
    private String legalPerson;

    /**
    * 流程开始时间
    */
    private Date processStartedTime;

    /**
    * 流程结束时间
    */
    private Date processStopTime;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 地区编码
    */
    private String areaCode;

    /**
    * 部门编码
    */
    private String deptCode;

    /**
    * 办件状态
    */
    private String bizStatus;

    /**
    * 办件类型(默认0 网络办件)
    */
    private String doThingProperty;

    /**
    * 办件名称
    */
    private String affairName;

    /**
    * 申请方式默认 1 网上申请
    */
    private String applyType;

    /**
    * 是否收费
    */
    private String isCharge;

    /**
    * 申请件数；默认传1
    */
    private String applyNum;

    /**
    * 取件方式 默认1现场取件
    */
    private String pickupType;

    /**
    * 节点类型,(BusiType_1 申请受理\r\nBusiType_13 审核\r\nBusiType_14 收费\r\nBusiType_8 办结\r\nBusiType_6 制证\r\nBusiType_9 取件)
    */
    private String nodeType;

    /**
    * 节点处理人姓名
    */
    private String curHandlerName;

    /**
    * 节点处理人id (默认-1)
    */
    private String addUserId;

    /**
    * 是否同意(默认 1是)
    */
    private String auditAdvice;

    /**
    * 拟办意见(默认 同意)
    */
    private String auditRemark;

    /**
    * 流程开始时间
    */
    private Date genTime;

    /**
    * 流程结束时间
    */
    private Date completeTime;

    /**
    * 是否推送（0 否 1是）
    */
    private String isReport;

    /**
    * 是否成功（0 否 1是）
    */
    private String isSuccess;

    /**
    * 推送失败原因
    */
    private String failReason;

    /**
    * 失败次数
    */
    private Integer failTimes;

    /**
    * 联系人姓名
    */
    private String contactName;

    /**
    * 联系人证件号码
    */
    private String contactIdCard;

    /**
    * 联系人证件类型
    */
    private String contactCardType;

    /**
    * 联系人联系方式
    */
    private String contactPhone;

    /**
    * 受理人姓名
    */
    private String acceptName;

    /**
    * 受理人身份证号码
    */
    private String acceptId;

    /**
    * 受理人手机号
    */
    private String acceptPhone;

    /**
    * 系统编码
    */
    private String systemCode;

    /**
    * 办件编码
    */
    private String officeCode;

    /**
    * 办件业务流水号
    */
    private String seriesNumber;

    /**
    * 流程状态名称
    */
    private String processStatusName;

    /**
    * 流程状态编码
    */
    private String processStatusCode;

    public InformationEntity(){

    }
    /**
    * 获取 实施清单名称
    * @return eventName
    */
    public String getEventName() {
        return this.eventName;
    }
    /**
    * 设置 实施清单名称
    * @param eventName
    */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }
    /**
    * 获取 实施清单编码
    * @return eventCode
    */
    public String getEventCode() {
        return this.eventCode;
    }
    /**
    * 设置 实施清单编码
    * @param eventCode
    */
    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }
    /**
    * 获取 申请人属性,1：法人 2：自然人
    * @return applicantAttributes
    */
    public Integer getApplicantAttributes() {
        return this.applicantAttributes;
    }
    /**
    * 设置 申请人属性,1：法人 2：自然人
    * @param applicantAttributes
    */
    public void setApplicantAttributes(Integer applicantAttributes) {
        this.applicantAttributes = applicantAttributes;
    }
    /**
    * 获取 申请人证件类型
    * @return applicantCardType
    */
    public String getApplicantCardType() {
        return this.applicantCardType;
    }
    /**
    * 设置 申请人证件类型
    * @param applicantCardType
    */
    public void setApplicantCardType(String applicantCardType) {
        this.applicantCardType = applicantCardType;
    }
    /**
    * 获取 申请人姓名
    * @return applicantName
    */
    public String getApplicantName() {
        return this.applicantName;
    }
    /**
    * 设置 申请人姓名
    * @param applicantName
    */
    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }
    /**
    * 获取 申请人证件号码
    * @return applicantCardNumbe
    */
    public String getApplicantCardNumbe() {
        return this.applicantCardNumbe;
    }
    /**
    * 设置 申请人证件号码
    * @param applicantCardNumbe
    */
    public void setApplicantCardNumbe(String applicantCardNumbe) {
        this.applicantCardNumbe = applicantCardNumbe;
    }
    /**
    * 获取 申请人手机号码
    * @return applicantPhoneNumber
    */
    public String getApplicantPhoneNumber() {
        return this.applicantPhoneNumber;
    }
    /**
    * 设置 申请人手机号码
    * @param applicantPhoneNumber
    */
    public void setApplicantPhoneNumber(String applicantPhoneNumber) {
        this.applicantPhoneNumber = applicantPhoneNumber;
    }
    /**
    * 获取 申请人性别
    * @return applicantSex
    */
    public String getApplicantSex() {
        return this.applicantSex;
    }
    /**
    * 设置 申请人性别
    * @param applicantSex
    */
    public void setApplicantSex(String applicantSex) {
        this.applicantSex = applicantSex;
    }
    /**
    * 获取 机构名称
    * @return organizationName
    */
    public String getOrganizationName() {
        return this.organizationName;
    }
    /**
    * 设置 机构名称
    * @param organizationName
    */
    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }
    /**
    * 获取 机构地址
    * @return organizationAddress
    */
    public String getOrganizationAddress() {
        return this.organizationAddress;
    }
    /**
    * 设置 机构地址
    * @param organizationAddress
    */
    public void setOrganizationAddress(String organizationAddress) {
        this.organizationAddress = organizationAddress;
    }
    /**
    * 获取 机构性质
    * @return organizationStructure
    */
    public String getOrganizationStructure() {
        return this.organizationStructure;
    }
    /**
    * 设置 机构性质
    * @param organizationStructure
    */
    public void setOrganizationStructure(String organizationStructure) {
        this.organizationStructure = organizationStructure;
    }
    /**
    * 获取 机构证件类型
    * @return organizationCardType
    */
    public String getOrganizationCardType() {
        return this.organizationCardType;
    }
    /**
    * 设置 机构证件类型
    * @param organizationCardType
    */
    public void setOrganizationCardType(String organizationCardType) {
        this.organizationCardType = organizationCardType;
    }
    /**
    * 获取 机构证件编码
    * @return organizationCardNumber
    */
    public String getOrganizationCardNumber() {
        return this.organizationCardNumber;
    }
    /**
    * 设置 机构证件编码
    * @param organizationCardNumber
    */
    public void setOrganizationCardNumber(String organizationCardNumber) {
        this.organizationCardNumber = organizationCardNumber;
    }
    /**
    * 获取 机构代表人姓名,法人姓名
    * @return legalPerson
    */
    public String getLegalPerson() {
        return this.legalPerson;
    }
    /**
    * 设置 机构代表人姓名,法人姓名
    * @param legalPerson
    */
    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }
    /**
    * 获取 流程开始时间
    * @return processStartedTime
    */
    public Date getProcessStartedTime() {
        return this.processStartedTime;
    }
    /**
    * 设置 流程开始时间
    * @param processStartedTime
    */
    public void setProcessStartedTime(Date processStartedTime) {
        this.processStartedTime = processStartedTime;
    }
    /**
    * 获取 流程结束时间
    * @return processStopTime
    */
    public Date getProcessStopTime() {
        return this.processStopTime;
    }
    /**
    * 设置 流程结束时间
    * @param processStopTime
    */
    public void setProcessStopTime(Date processStopTime) {
        this.processStopTime = processStopTime;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 地区编码
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 地区编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    /**
    * 获取 部门编码
    * @return deptCode
    */
    public String getDeptCode() {
        return this.deptCode;
    }
    /**
    * 设置 部门编码
    * @param deptCode
    */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }
    /**
    * 获取 办件状态
    * @return bizStatus
    */
    public String getBizStatus() {
        return this.bizStatus;
    }
    /**
    * 设置 办件状态
    * @param bizStatus
    */
    public void setBizStatus(String bizStatus) {
        this.bizStatus = bizStatus;
    }
    /**
    * 获取 办件类型(默认0 网络办件)
    * @return doThingProperty
    */
    public String getDoThingProperty() {
        return this.doThingProperty;
    }
    /**
    * 设置 办件类型(默认0 网络办件)
    * @param doThingProperty
    */
    public void setDoThingProperty(String doThingProperty) {
        this.doThingProperty = doThingProperty;
    }
    /**
    * 获取 办件名称
    * @return affairName
    */
    public String getAffairName() {
        return this.affairName;
    }
    /**
    * 设置 办件名称
    * @param affairName
    */
    public void setAffairName(String affairName) {
        this.affairName = affairName;
    }
    /**
    * 获取 申请方式默认 1 网上申请
    * @return applyType
    */
    public String getApplyType() {
        return this.applyType;
    }
    /**
    * 设置 申请方式默认 1 网上申请
    * @param applyType
    */
    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }
    /**
    * 获取 是否收费
    * @return isCharge
    */
    public String getIsCharge() {
        return this.isCharge;
    }
    /**
    * 设置 是否收费
    * @param isCharge
    */
    public void setIsCharge(String isCharge) {
        this.isCharge = isCharge;
    }
    /**
    * 获取 申请件数；默认传1
    * @return applyNum
    */
    public String getApplyNum() {
        return this.applyNum;
    }
    /**
    * 设置 申请件数；默认传1
    * @param applyNum
    */
    public void setApplyNum(String applyNum) {
        this.applyNum = applyNum;
    }
    /**
    * 获取 取件方式 默认1现场取件
    * @return pickupType
    */
    public String getPickupType() {
        return this.pickupType;
    }
    /**
    * 设置 取件方式 默认1现场取件
    * @param pickupType
    */
    public void setPickupType(String pickupType) {
        this.pickupType = pickupType;
    }
    /**
    * 获取 节点类型,(BusiType_1 申请受理\r\nBusiType_13 审核\r\nBusiType_14 收费\r\nBusiType_8 办结\r\nBusiType_6 制证\r\nBusiType_9 取件)
    * @return nodeType
    */
    public String getNodeType() {
        return this.nodeType;
    }
    /**
    * 设置 节点类型,(BusiType_1 申请受理\r\nBusiType_13 审核\r\nBusiType_14 收费\r\nBusiType_8 办结\r\nBusiType_6 制证\r\nBusiType_9 取件)
    * @param nodeType
    */
    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }
    /**
    * 获取 节点处理人姓名
    * @return curHandlerName
    */
    public String getCurHandlerName() {
        return this.curHandlerName;
    }
    /**
    * 设置 节点处理人姓名
    * @param curHandlerName
    */
    public void setCurHandlerName(String curHandlerName) {
        this.curHandlerName = curHandlerName;
    }
    /**
    * 获取 节点处理人id (默认-1)
    * @return addUserId
    */
    public String getAddUserId() {
        return this.addUserId;
    }
    /**
    * 设置 节点处理人id (默认-1)
    * @param addUserId
    */
    public void setAddUserId(String addUserId) {
        this.addUserId = addUserId;
    }
    /**
    * 获取 是否同意(默认 1是)
    * @return auditAdvice
    */
    public String getAuditAdvice() {
        return this.auditAdvice;
    }
    /**
    * 设置 是否同意(默认 1是)
    * @param auditAdvice
    */
    public void setAuditAdvice(String auditAdvice) {
        this.auditAdvice = auditAdvice;
    }
    /**
    * 获取 拟办意见(默认 同意)
    * @return auditRemark
    */
    public String getAuditRemark() {
        return this.auditRemark;
    }
    /**
    * 设置 拟办意见(默认 同意)
    * @param auditRemark
    */
    public void setAuditRemark(String auditRemark) {
        this.auditRemark = auditRemark;
    }
    /**
    * 获取 流程开始时间
    * @return genTime
    */
    public Date getGenTime() {
        return this.genTime;
    }
    /**
    * 设置 流程开始时间
    * @param genTime
    */
    public void setGenTime(Date genTime) {
        this.genTime = genTime;
    }
    /**
    * 获取 流程结束时间
    * @return completeTime
    */
    public Date getCompleteTime() {
        return this.completeTime;
    }
    /**
    * 设置 流程结束时间
    * @param completeTime
    */
    public void setCompleteTime(Date completeTime) {
        this.completeTime = completeTime;
    }
    /**
    * 获取 是否推送（0 否 1是）
    * @return isReport
    */
    public String getIsReport() {
        return this.isReport;
    }
    /**
    * 设置 是否推送（0 否 1是）
    * @param isReport
    */
    public void setIsReport(String isReport) {
        this.isReport = isReport;
    }
    /**
    * 获取 是否成功（0 否 1是）
    * @return isSuccess
    */
    public String getIsSuccess() {
        return this.isSuccess;
    }
    /**
    * 设置 是否成功（0 否 1是）
    * @param isSuccess
    */
    public void setIsSuccess(String isSuccess) {
        this.isSuccess = isSuccess;
    }
    /**
    * 获取 推送失败原因
    * @return failReason
    */
    public String getFailReason() {
        return this.failReason;
    }
    /**
    * 设置 推送失败原因
    * @param failReason
    */
    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }
    /**
    * 获取 失败次数
    * @return failTimes
    */
    public Integer getFailTimes() {
        return this.failTimes;
    }
    /**
    * 设置 失败次数
    * @param failTimes
    */
    public void setFailTimes(Integer failTimes) {
        this.failTimes = failTimes;
    }
    /**
    * 获取 联系人姓名
    * @return contactName
    */
    public String getContactName() {
        return this.contactName;
    }
    /**
    * 设置 联系人姓名
    * @param contactName
    */
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    /**
    * 获取 联系人证件号码
    * @return contactIdCard
    */
    public String getContactIdCard() {
        return this.contactIdCard;
    }
    /**
    * 设置 联系人证件号码
    * @param contactIdCard
    */
    public void setContactIdCard(String contactIdCard) {
        this.contactIdCard = contactIdCard;
    }
    /**
    * 获取 联系人证件类型
    * @return contactCardType
    */
    public String getContactCardType() {
        return this.contactCardType;
    }
    /**
    * 设置 联系人证件类型
    * @param contactCardType
    */
    public void setContactCardType(String contactCardType) {
        this.contactCardType = contactCardType;
    }
    /**
    * 获取 联系人联系方式
    * @return contactPhone
    */
    public String getContactPhone() {
        return this.contactPhone;
    }
    /**
    * 设置 联系人联系方式
    * @param contactPhone
    */
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }
    /**
    * 获取 受理人姓名
    * @return acceptName
    */
    public String getAcceptName() {
        return this.acceptName;
    }
    /**
    * 设置 受理人姓名
    * @param acceptName
    */
    public void setAcceptName(String acceptName) {
        this.acceptName = acceptName;
    }
    /**
    * 获取 受理人身份证号码
    * @return acceptId
    */
    public String getAcceptId() {
        return this.acceptId;
    }
    /**
    * 设置 受理人身份证号码
    * @param acceptId
    */
    public void setAcceptId(String acceptId) {
        this.acceptId = acceptId;
    }
    /**
    * 获取 受理人手机号
    * @return acceptPhone
    */
    public String getAcceptPhone() {
        return this.acceptPhone;
    }
    /**
    * 设置 受理人手机号
    * @param acceptPhone
    */
    public void setAcceptPhone(String acceptPhone) {
        this.acceptPhone = acceptPhone;
    }
    /**
    * 获取 系统编码
    * @return systemCode
    */
    public String getSystemCode() {
        return this.systemCode;
    }
    /**
    * 设置 系统编码
    * @param systemCode
    */
    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }
    /**
    * 获取 办件编码
    * @return officeCode
    */
    public String getOfficeCode() {
        return this.officeCode;
    }
    /**
    * 设置 办件编码
    * @param officeCode
    */
    public void setOfficeCode(String officeCode) {
        this.officeCode = officeCode;
    }
    /**
    * 获取 办件业务流水号
    * @return seriesNumber
    */
    public String getSeriesNumber() {
        return this.seriesNumber;
    }
    /**
    * 设置 办件业务流水号
    * @param seriesNumber
    */
    public void setSeriesNumber(String seriesNumber) {
        this.seriesNumber = seriesNumber;
    }
    /**
    * 获取 流程状态名称
    * @return processStatusName
    */
    public String getProcessStatusName() {
        return this.processStatusName;
    }
    /**
    * 设置 流程状态名称
    * @param processStatusName
    */
    public void setProcessStatusName(String processStatusName) {
        this.processStatusName = processStatusName;
    }
    /**
    * 获取 流程状态编码
    * @return processStatusCode
    */
    public String getProcessStatusCode() {
        return this.processStatusCode;
    }
    /**
    * 设置 流程状态编码
    * @param processStatusCode
    */
    public void setProcessStatusCode(String processStatusCode) {
        this.processStatusCode = processStatusCode;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof InformationEntity) {
            InformationEntity tmp = (InformationEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",eventName:").append(getEventName())
                .append(",eventCode:").append(getEventCode())
                .append(",applicantAttributes:").append(getApplicantAttributes())
                .append(",applicantCardType:").append(getApplicantCardType())
                .append(",applicantName:").append(getApplicantName())
                .append(",applicantCardNumbe:").append(getApplicantCardNumbe())
                .append(",applicantPhoneNumber:").append(getApplicantPhoneNumber())
                .append(",applicantSex:").append(getApplicantSex())
                .append(",organizationName:").append(getOrganizationName())
                .append(",organizationAddress:").append(getOrganizationAddress())
                .append(",organizationStructure:").append(getOrganizationStructure())
                .append(",organizationCardType:").append(getOrganizationCardType())
                .append(",organizationCardNumber:").append(getOrganizationCardNumber())
                .append(",legalPerson:").append(getLegalPerson())
                .append(",processStartedTime:").append(getProcessStartedTime())
                .append(",processStopTime:").append(getProcessStopTime())
                .append(",createTime:").append(getCreateTime())
                .append(",areaCode:").append(getAreaCode())
                .append(",deptCode:").append(getDeptCode())
                .append(",bizStatus:").append(getBizStatus())
                .append(",doThingProperty:").append(getDoThingProperty())
                .append(",affairName:").append(getAffairName())
                .append(",applyType:").append(getApplyType())
                .append(",isCharge:").append(getIsCharge())
                .append(",applyNum:").append(getApplyNum())
                .append(",pickupType:").append(getPickupType())
                .append(",nodeType:").append(getNodeType())
                .append(",curHandlerName:").append(getCurHandlerName())
                .append(",addUserId:").append(getAddUserId())
                .append(",auditAdvice:").append(getAuditAdvice())
                .append(",auditRemark:").append(getAuditRemark())
                .append(",genTime:").append(getGenTime())
                .append(",completeTime:").append(getCompleteTime())
                .append(",isReport:").append(getIsReport())
                .append(",isSuccess:").append(getIsSuccess())
                .append(",failReason:").append(getFailReason())
                .append(",failTimes:").append(getFailTimes())
                .append(",contactName:").append(getContactName())
                .append(",contactIdCard:").append(getContactIdCard())
                .append(",contactCardType:").append(getContactCardType())
                .append(",contactPhone:").append(getContactPhone())
                .append(",acceptName:").append(getAcceptName())
                .append(",acceptId:").append(getAcceptId())
                .append(",acceptPhone:").append(getAcceptPhone())
                .append(",systemCode:").append(getSystemCode())
                .append(",officeCode:").append(getOfficeCode())
                .append(",seriesNumber:").append(getSeriesNumber())
                .append(",processStatusName:").append(getProcessStatusName())
                .append(",processStatusCode:").append(getProcessStatusCode())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.eventName = null;
         this.eventCode = null;
         this.applicantAttributes = null;
         this.applicantCardType = null;
         this.applicantName = null;
         this.applicantCardNumbe = null;
         this.applicantPhoneNumber = null;
         this.applicantSex = null;
         this.organizationName = null;
         this.organizationAddress = null;
         this.organizationStructure = null;
         this.organizationCardType = null;
         this.organizationCardNumber = null;
         this.legalPerson = null;
         this.processStartedTime = null;
         this.processStopTime = null;
         this.createTime = null;
         this.areaCode = null;
         this.deptCode = null;
         this.bizStatus = null;
         this.doThingProperty = null;
         this.affairName = null;
         this.applyType = null;
         this.isCharge = null;
         this.applyNum = null;
         this.pickupType = null;
         this.nodeType = null;
         this.curHandlerName = null;
         this.addUserId = null;
         this.auditAdvice = null;
         this.auditRemark = null;
         this.genTime = null;
         this.completeTime = null;
         this.isReport = null;
         this.isSuccess = null;
         this.failReason = null;
         this.failTimes = null;
         this.contactName = null;
         this.contactIdCard = null;
         this.contactCardType = null;
         this.contactPhone = null;
         this.acceptName = null;
         this.acceptId = null;
         this.acceptPhone = null;
         this.systemCode = null;
         this.officeCode = null;
         this.seriesNumber = null;
         this.processStatusName = null;
         this.processStatusCode = null;
    }
}